<?php
    session_name('PRS');
    session_start();
    
    //*** Disable PHP notices in php53_errors.log ***//
    error_reporting(E_ERROR|E_WARNING);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Land Maintenance</title>
	<meta name="author" content="Protinus IT-Consultants" />
    <link rel="shortcut icon" href="images/logo_deha.ico" />

    <!-- dhtmlx.css contains styles definitions for all use components -->
    <link rel="STYLESHEET" type="text/css" href="classes/dhtmlx/dhtmlx.css" />
    
    <script src="classes/dhtmlx/dhtmlx.js" type="text/javascript"></script>
    <script src="classes/dhtmlx/dhtmlxgrid.js" type="text/javascript"></script>
    
	<script src="classes/dhtmlx/dhtmlxdataprocessor_live.js" type="text/javascript" charset="utf-8"></script>
	<script type="text/javascript" src="http://localhost:8008/sync/client.js"></script>

    <script src="lib/GeneralFunctions.js" type="text/javascript"></script>
    
    <style>
        /*these styles allow dhtmlxLayout to work in fullscreen mode in different browsers correctly*/
        html, body {
            width: 100%;
            height: 100%;
            margin: 0px;
            overflow: hidden;
            background-color:#E4ECF1;
        }
    </style>

    <script type="text/javascript">
        var myGrid, myContextMenu, oldId, valError, exVal=true, recordDel=false;
        
        // --------------------------------------------------------------------------
        // functions loading onload of page
        // --------------------------------------------------------------------------
        dhtmlx.image_path = "classes/dhtmlx/imgs/";
        dhtmlxEvent(window,"load",function(){                                       //provides the script as a handler of the 'onload' HTML event
			// define myGrid
            myGrid = new dhtmlXGridObject('gridbox'); 
            myGrid.setHeader("Land");                                       		//sets the header labels
            myGrid.setColumnIds("Land");                                   			//sets the column ids
            myGrid.setColValidators("NotEmpty");
            myGrid.setInitWidths("150");                                            //sets the initial widths of columns
            myGrid.setColAlign("left");                                             //sets the horizontal alignment
            myGrid.setColTypes("ed");                                               //sets the types of columns
            myGrid.setColSorting("str");                                            //sets the sorting types of columns
            myGrid.enableAutoHeight(true,780,false)                                 //enable auto height mode, set maximum height before scrolling appears, all grid height included in max height calculation
            myGrid.init();                                                          //renders  dhtmlxGrid on the page
            myGrid.load("classes/dhtmlx/data/landLoad.php");                                               

            // events
            myGrid.attachEvent("onRightClick", function(id, index){
               myGrid.selectRowById(id);
               return true; 
            });

            myGrid.attachEvent("onValidationError",function(id, ind){
                if(exVal==false){
                    exVal=true;
                    return true;
                }
                else{
                    if(recordDel == false){
                        oldId = id;
                        valError = true;

window.setTimeout(function(){
    myGrid.selectRow(id);
    myGrid.editCell();
},100);

                        dhtmlx.alert({
                    		title:"Error",
                            type:"alert-error",
                            text:"Land mag niet leeg zijn.",
                    		ok:"Ok",
                    		callback:function(){ 
                                window.setTimeout(function(){
                                    myGrid.selectRow(id);
                                    myGrid.editCell();
                                },100);
                                return false;            		      
                            }
                        });
                    };
                }
            });

            myGrid.attachEvent("onBeforeSelect", function(new_row,old_row,new_col_index){
                if(valError == true){
                    window.setTimeout(function(){
                        valError = false;
                        exVal = false;
                        myGrid.selectRow(oldId);
                        myGrid.editCell();
                    },100);
                    return false;  
                }
                else{
                    return true;      
                }
            });
            
            
            myGrid.attachEvent("onEditCell", function(){
                parent.frames['leftmenu'].hideTree();
                return true;                 
            });

            myGrid.attachEvent("onBlur", function(){
                parent.frames['leftmenu'].showTree(); 
                return true;               
            });
            
			// define dataProcessor
            var dpg = new dataProcessor("classes/dhtmlx/data/landLoad.php");         //inits dataProcessor
            dpg.live_updates("http://localhost:8008/sync");
            dpg.init(myGrid);																//associates the dataProcessor instance with the grid

            dpg.attachEvent("onAfterUpdateFinish", function(){
                parent.frames['leftmenu'].showTree(); 
                return true;               
            });

            // define context menu            
            myContextMenu = new dhtmlXMenuObject("gridbox");                                // connect to grid
			myContextMenu.setIconsPath("classes/dhtmlx/imgs/dhtmlxContextMenu/");
			myContextMenu.renderAsContextMenu();                                            // set menu as context menu
			myContextMenu.loadStruct("classes/dhtmlx/context.xml");                         // menu definition
            myContextMenu.attachEvent("onclick", ContextMenuItem);
        })

        // --------------------------------------------------------------------------
        // processing menu items
        // --------------------------------------------------------------------------
        function ContextMenuItem(menuitemId){
			if(!valError){
	            switch(menuitemId){
	                case 'context_add' : aDefaultRowValue = ['',''];
	                                     add_row(aDefaultRowValue);                     
	                                     break;
	                case 'context_del' : delete_row();
	                                     break;                                        
	           }
			}
			else{
	            switch(menuitemId){
	                case 'context_add' : 
				                        dhtmlx.alert({
				                    		title:"Warning",
				                            type:"alert-warning",
				                            text:"Deze optie is momenteel niet beschikbaar.",
				                    		ok:"Ok",
				                    		callback:function(){ 
				                                return false;            		      
				                            }
				                        });
	                                    break;
	                case 'context_del' : delete_row();
	                                     break;                                        
	           }
			}				
        }
        
    </script>
</head>

<body>
    <div style="padding-left: 7px;padding-top: 7px;">
	   <div id="gridbox" style="width:167px;min-height:250px;overflow:hidden;background-color: white; "></div>
    </div>
</body>
</html>

